Nudgescribe API Reference
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
  1. Campaign Messages
  • Nudgescribe API
  • Authentication
    • Authentication
    • Authenticate
      POST
    • Re-Authenticate
      GET
  • Content
    • Customers
      • Customer Management
      • Upload and Validate Customer Data
      • Get pages
      • Get Customers
      • Delete Customers
    • Customer Groups
      • Customer Groups
      • Create Customer Group
      • Get Customer Groups
      • Update Customer Group
      • Delete Customer Group
    • Customer Profile Fields
      • Customer Profile Fields
      • Create a Custom Profile Field
      • Get Customer Profile Fields for a Workspace
      • Update Custom Fields
      • Delete Custom Fields
  • Campaigns
    • Campaign Messages
      • Campaign Messages
      • Get All Accounts Campaigns
        POST
      • Publish Messages to Secure Storage
        POST
      • Get Campaign Messages Pages
        POST
      • Retrieve Published Messages
        POST
    • Campaign Reruns
      • Campaign Reruns
      • Get Campaign Rerun History
      • Get Run Messages
      • Initiate Campaign Rerun
  1. Campaign Messages

Get All Accounts Campaigns

POST
https://client-api.nudgescribe.com/v1/campaign/all
CampaignGetAllCampaigns
Retrieves all campaigns associated with your account, organised by workspace, with an optional date filter to scope results to campaigns published within a specific window.
Enables applications to display and manage all campaigns in your account with workspace-level organisation for better campaign oversight and management.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

🟠403Unauthorised
🟠404Not Found
🟠401Missing Fields
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://client-api.nudgescribe.com/v1/campaign/all' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "published_window": "2024-01-15"
}'
Response Response Example
200 - Example 1
{
    "list": [
        {
            "workspace_name": "Workspace ABC",
            "campaigns": [
                {
                    "campaign_id": "your-campaign-uuid",
                    "campaign_name": "Campaign ABC",
                    "status": "Published",
                    "stage": 4,
                    "start_date": "2025-10-01",
                    "end_date": "2025-11-01",
                    "published_date": "2025-10-01",
                    "created_by": "Jane Doe",
                    "updated_by": "John Doe"
                }
            ]
        }
    ]
}
Modified at 2026-05-26 11:12:39
Previous
Campaign Messages
Next
Publish Messages to Secure Storage
Built with